@(clustForm: Form[Cluster])

@import helper._

@implicitFieldConstructor = @{ FieldConstructor(twitterBootstrapInput.render) }

@title = {
    Add a Cluster
}

@pageTitle = {
    Add a Cluster
}

@main(title, pageTitle){
    @form(routes.ClusterController.save()) {

        <fieldset>
            @inputText(clustForm("name"),      '_label -> "Cluster Name")
            @inputText(clustForm("cores"),     '_label -> "# of Cores (Per Node)")
            @inputText(clustForm("memory"),    '_label -> "Memory (GB) (Per Node)")
            @inputText(clustForm("hdd"),       '_label -> "HDD Size (GB) (Per Node)")
            @inputText(clustForm("bandwidth"), '_label -> "Bandwidth (Mbps) (Per Node)")
            @inputText(clustForm("nodes"),     '_label -> "# of Nodes")
        </fieldset>

        <div class="actions">
            <input type="submit" value="Create Cluster" class="btn btn-primary"> or
            <a class="btn btn-inverse" id="addServer" href="@routes.ClusterController.list()">Cancel</a>
        </div>
    }
}